# Solid Opinion statistics module

### Installing

```
npm install s-statistics
```

## Running the tests

This project uses Jasmine and Karma to run test. There are two commands available to do that. One to run all test suites only once:
```
npm run test
```
and one to run them and watch for changes:

```
npm run watch-test
```

## Usage
After installing put this component into your react code.
An example for .jsx file:

```javascript
import React from 'react';
import Statistics from "s-statistics"; //import new component

let { Component } = React;

export default class Item extends Component {

  render() {
    return (
      <div>
        <Statistics/> //and then use it
      </div>
    );
  }
}
```
