import AppDispatcher from '../dispatcher/AppDispatcher';
import WebAPI from '../util/WebAPI';

import {
  ITEMS_GET_SUCCESS,
  ITEMS_GET_ERROR
} from '../constants/AppConstants';

export default {
  getItems() {
    WebAPI.getItems()
      .then(function (response) {
        return response.json();
      })
      .then(function (response) {
        AppDispatcher.dispatch({
          actionType: ITEMS_GET_SUCCESS,
          items: response.count
        });
      })
      .catch(() => {
        AppDispatcher.dispatch({
          actionType: ITEMS_GET_ERROR
        });
      });
  }
};
